#!/usr/bin/env python

import json


def load_file(filename):
    with open(filename) as f:
        nomie_data = json.load(f)
    return nomie_data


# generate a yes/no cli question with a default answer
def confirmation_question(question, default_no=True):
    choices = " [y/N]: " if default_no else " [Y/n]: "
    default_answer = "n" if default_no else "y"
    reply = str(input(question + choices)).lower().strip() or default_answer
    if reply[0] == "y":
        return True
    if reply[0] == "n":
        return False
    else:
        return False if default_no else True


# display stats and ask user to confirm if they seem okay
def verify_continue(data):
    trackers = ""
    for t in data["trackers"]:
        trackers += t + ", "
    print(f"Exporting from nomie {data['nomie']['number']}:")
    print(f"Found trackers: {trackers}")
    print(f"Found events: {len(data['events'])} entries.")
    if not confirmation_question("Do you want to continue?", default_no=False):
        print("Aborted.")
        exit(0)
